ObjectARX

Reply
Contributor
Lachoserouge
Posts: 12
Registered: ‎04-12-2011
Message 1 of 3 (245 Views)

Set a New UCS

245 Views, 2 Replies
07-13-2011 01:24 PM

Hi reader,

 

I would like to draw a polyline with Buge in 3D.

I know that i have to use a LWpolyline to do that.

 

So to draw a LWpolyline in 3D I have to change my UCS, i think.

The fact is that I do not succed to do that.

 

I found the SetUcs function from AcDbViewport but i have no idea about how to set it actived to enable me to draw in this new coordinates system.

 

Hope you could help me.

 

Regards,

 

Aymeric

ADN Support Specialist
StephenPreston
Posts: 422
Registered: ‎05-22-2006
Message 2 of 3 (236 Views)

Re: Set a New UCS

07-15-2011 07:49 AM in reply to: Lachoserouge

You shouldn't have to create a new UCS. You can create your polyline in the WCS (e.g. in the xy plane) and then call its transformBy function, passing in your transformation matrix to transform it to the coordinate system you need (the coordinate system you wanted to create the UCS for).

 

Cheers,

 

Stephen Preston

Autodesk Developer Network

Cheers,

Stephen Preston
Autodesk Developer Network
Contributor
Lachoserouge
Posts: 12
Registered: ‎04-12-2011
Message 3 of 3 (215 Views)

Re: Set a New UCS

07-26-2011 11:26 AM in reply to: StephenPreston

Hi,

 

Thank you for this help I gonna try as you said, I will come back to you.

 

Cheers

 

Aymeric

Post to the Community

Have questions about Autodesk products? Ask the community.

New Post
Announcements
Do you have 60 seconds to spare? The Autodesk Community Team is revamping our site ranking system and we want your feedback! Please click here to launch the 5 question survey. As always your input is greatly appreciated.